#################################################################################################
#
# Static Gravity Analysis
#
# Writen by:  Erol Kalkan
# Last modified:  Sept 2003
#
# Objective: 
#
# Units: kip-in      
#################################################################################################  

####################################################################################
#                                Gravity Analysis                                  #
####################################################################################

set GravSteps 100

#recorder Node disp.out disp -time -node 8 15 22 29 36 43 -dof 2

system UmfPack; # solution procedure, how it solves system of equations  
#system ProfileSPD;
constraints Plain; # how it handles boundary conditions, enforce constraints
test NormDispIncr 1.0e-10	100	0
algorithm NewtonLineSearch 
numberer RCM; # renumber dof's to minimize band-width
integrator LoadControl [expr 1./$GravSteps] 1 [expr 1./$GravSteps] [expr 1./$GravSteps] 
analysis Static


#####################################################################
puts "Finished Gravity Analysis..."

analyze $GravSteps # run gravity analysis
loadConst -time 0.0; # keep gravity load and restart time -- lead to lateral-load analysis



