
#################################################################################################
#
# Node Generator
#
# Writen by:  Erol Kalkan
# Last modified:  Sept 2003
#
# Objective: 
#
# Units: kip-in      
#################################################################################################  

set IM 0.220;    #nodal mass for interior column
set EM 0.110;   #nodal gravity load for exterior column

set IRM 0.1725;   #nodal gravity load for interior roof column
set ERM 0.0863;  #nodal gravity load for exterior roof column

set IFM 0.258;   #nodal gravity load for interior first storey column
set EFM 0.129;  #nodal gravity load for exterior first storey column

#####################################################################
# DEFINE NODAL COORDINATES IN INCHES AND NODAL MASSES IN KIP-SEC^2/IN
#    tag   X    Y           Mx    My   Mrot
# Base
node  1 -720    0  -mass     0     0     0
node  2 -480    0  -mass     0     0     0
node  3 -240    0  -mass     0     0     0
node  4    0    0  -mass     0     0     0
node  5  240    0  -mass     0     0     0
node  6  480    0  -mass     0     0     0
node  7  720    0  -mass     0     0     0
# Story 1
node  8 -720  210  -mass  $EFM    0     0
node  9 -480  210  -mass  $IFM    0     0     
node 10 -240  210  -mass  $IFM    0     0     
node 11    0  210  -mass  $IFM    0     0     
node 12  240  210  -mass  $IFM    0     0     
node 13  480  210  -mass  $IFM    0     0     
node 14  720  210  -mass  $EFM    0     0     
# Story 2
node 15 -720  366  -mass  $EM    0     0
node 16 -480  366  -mass  $IM    0     0     
node 17 -240  366  -mass  $IM    0     0     
node 18    0  366  -mass  $IM    0     0     
node 19  240  366  -mass  $IM    0     0     
node 20  480  366  -mass  $IM    0     0     
node 21  720  366  -mass  $EM    0     0     
# Story 3
node 22 -720  522  -mass  $EM    0     0
node 23 -480  522  -mass  $IM    0     0     
node 24 -240  522  -mass  $IM    0     0     
node 25    0  522  -mass  $IM    0     0     
node 26  240  522  -mass  $IM    0     0     
node 27  480  522  -mass  $IM    0     0     
node 28  720  522  -mass  $EM    0     0  
# Story 4
node 29 -720  678  -mass  $EM    0     0
node 30 -480  678  -mass  $IM    0     0     
node 31 -240  678  -mass  $IM    0     0     
node 32    0  678  -mass  $IM    0     0     
node 33  240  678  -mass  $IM    0     0     
node 34  480  678  -mass  $IM    0     0     
node 35  720  678  -mass  $EM    0     0  
# Story 5
node 36 -720  834  -mass  $EM    0     0
node 37 -480  834  -mass  $IM    0     0     
node 38 -240  834  -mass  $IM    0     0     
node 39    0  834  -mass  $IM    0     0     
node 40  240  834  -mass  $IM    0     0     
node 41  480  834  -mass  $IM    0     0     
node 42  720  834  -mass  $EM    0     0 
# Story 6
node 43 -720  990  -mass  $ERM    0     0
node 44 -480  990  -mass  $IRM    0     0     
node 45 -240  990  -mass  $IRM    0     0     
node 46    0  990  -mass  $IRM    0     0     
node 47  240  990  -mass  $IRM    0     0     
node 48  480  990  -mass  $IRM    0     0     
node 49  720  990  -mass  $ERM    0     0 

node 50  720  210  -mass  0  0     0 
node 51  720  366  -mass  0  0     0     
node 52  720  522  -mass  0  0     0 
node 53  720  678  -mass  0  0     0 
node 54  720  834  -mass  0  0     0 
node 55  720  990  -mass  0  0     0 

#####################################################################
# SINGLE POINT CONSTRAINTS
#   node DX DY RZ
fix   1   1  1  1
fix   2   1  1  1
fix   3   1  1  1
fix   4   1  1  1
fix   5   1  1  1
fix   6   1  1  1
fix   7   1  1  1

# Release of moment transfer
equalDOF 50 14 1 2 
equalDOF 51 21 1 2 
equalDOF 52 28 1 2 
equalDOF 53 35 1 2 
equalDOF 54 42 1 2 
equalDOF 55 49 1 2 

#####################################################################
puts "Finished creating nodes and restraints ..."






