%--------------------------------------------------------------------------
% 
%            D U C T I L I T Y   D E M A N D   E V A L U A T I O N  
%
%              B A S E D   O N   I N T E R S T O R Y   D R I F T  
%
%                                   
% Last updated : 05/21/2004
% Copyright (c) 2004 by E. Kalkan, :-)
%--------------------------------------------------------------------------
clear; clc;

%--------------------------------------------------------------------------
h=990; % TOTAL HEIGHT OF BUILDING
%--------------------------------------------------------------------------
nsucc=0;
for NM=1:21;
    GM=[1:21];
    num=GM(NM);
    ch1 = num2str(num);
    
% Check fail or success    
        fid=0;
        filename = strcat('output/M_',ch1,'.log');
        [fid,message] = fopen(filename, 'r');
        if fid == -1
                disp(message);
        end
        line = fgets(fid);
        dp = line(10:19); % Decision parameter
        if(dp == 'Successful');
        fprintf('Ground motion in process = %5.0f  Status = %s\n',num,dp); 
        nsucc = nsucc+1;
        
    Story_1_Drift = strcat('output/M_',ch1,'/Story_1_Drift.out');
    Story_2_Drift = strcat('output/M_',ch1,'/Story_2_Drift.out');
    Story_3_Drift = strcat('output/M_',ch1,'/Story_3_Drift.out');
    Story_4_Drift = strcat('output/M_',ch1,'/Story_4_Drift.out');
    Story_5_Drift = strcat('output/M_',ch1,'/Story_5_Drift.out');
    Story_6_Drift = strcat('output/M_',ch1,'/Story_6_Drift.out');
    

%~~~~~~~~~~~~INTER STOREY DRIFT ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
d1=load (Story_1_Drift);
d2=load (Story_2_Drift);
d3=load (Story_3_Drift);
d4=load (Story_4_Drift);
d5=load (Story_5_Drift);
d6=load (Story_6_Drift);

d1max=max(abs(d1));
d2max=max(abs(d2));
d3max=max(abs(d3));
d4max=max(abs(d4));
d5max=max(abs(d5));
d6max=max(abs(d6));
intdrift=[d1 d2 d3 d4 d5 d6]';
dmax=[0 d1max d2max d3max d4max d5max d6max]';
dmax_new = [d1max d1max d2max d2max d3max d3max d4max d4max d5max d5max d6max d6max]';

%--------------------------------------------------------------------------
% 1 Story Columns
%--------------------------------------------------------------------------
sn=1;
pl_def_all_cols = strcat('output/M_',ch1,'/pl_def_all_cols_',num2str(sn),'.out');
c1=load (pl_def_all_cols);
c1=[c1(:,2) c1(:,3) c1(:,5) c1(:,6) c1(:,8) c1(:,9) c1(:,11) c1(:,12) c1(:,14) c1(:,15) c1(:,17) c1(:,18) c1(:,20) c1(:,21)];

c1=abs(c1); [a b]=size(c1);

%~~~~~~~~~~~~~~~~ FIRST YIELDING ELEMENT AND STEP NUMBER ~~~~~~~~~~~~~~~~~~
count=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (c1(i,j)) > 0.0002;
         count=1;    
        end
    if count == 1
        break
    end
    end
    if count == 1
        break
    end
end
if count==0; i=0; j=0; end;
Fcol(sn)=j; % First Yield, Col No
Fcolstep(sn)=i; % First Yield, Step No

%~~~~~~~~~~~~~~~~~~~~~~MAXIMUM PLASTIC DEFORMATION~~~~~~~~~~~~~~~~~~~~~~~~~
maxpl=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (c1(i,j)) > maxpl;
         maxpl=abs(c1(i,j));    
         colno=j; %BASED ON STOREY LEVEL 
         stepno=i;
        end
    end
end
if maxpl==0; colno=0; stepno=0; end;
plmax(sn,1)=maxpl;
Mcol(sn)=colno; % Max Yield, Col No
Mcolstep(sn)=stepno; % Max Yield, Step No
%--------------------------------------------------------------------------
% 1 Story Beams
%--------------------------------------------------------------------------
pl_def_all_beams = strcat('output/M_',ch1,'/pl_def_all_beams_',num2str(sn),'.out');
b1=load (pl_def_all_beams);
b1=[b1(:,2) b1(:,3) b1(:,5) b1(:,6) b1(:,8) b1(:,9) b1(:,11) b1(:,12) b1(:,14) b1(:,15) b1(:,17) b1(:,18) ];

b1=abs(b1); [a b]=size(b1);

%~~~~~~~~~~~~~~~~ FIRST YIELDING ELEMENT AND STEP NUMBER ~~~~~~~~~~~~~~~~~~
count=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (b1(i,j)) > 0.0002;
         count=1;    
        end
    if count == 1;
        break
    end
    end
    if count == 1;
        break
    end
end
if count==0; i=0; j=0; end;
Fbeam(sn)=j; % First Yield, Col No
Fbeamstep(sn)=i; % First Yield, Step No

%~~~~~~~~~~~~~~~~~~~~~~MAXIMUM PLASTIC DEFORMATION~~~~~~~~~~~~~~~~~~~~~~~~~
maxpl=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (b1(i,j)) > maxpl;
         maxpl=abs(b1(i,j));    
         beamno=j; %BASED ON STOREY LEVEL 
         stepno=i;
        end
    end
end
if maxpl<0.0002; beamno=0; stepno=0; end;
plmax(sn,2)=maxpl;
Mbeam(sn)=beamno; % Max Yield, Col No
Mbeamstep(sn)=stepno; % Max Yield, Step No
%--------------------------------/o\/o\-------------------------------------
%--------------------------------------------------------------------------
% 2 Story Columns
%--------------------------------------------------------------------------
sn=2;
pl_def_all_cols = strcat('output/M_',ch1,'/pl_def_all_cols_',num2str(sn),'.out');
c1=load (pl_def_all_cols);
c1=[c1(:,2) c1(:,3) c1(:,5) c1(:,6) c1(:,8) c1(:,9) c1(:,11) c1(:,12) c1(:,14) c1(:,15) c1(:,17) c1(:,18) c1(:,20) c1(:,21)];

c1=abs(c1); [a b]=size(c1);

%~~~~~~~~~~~~~~~~ FIRST YIELDING ELEMENT AND STEP NUMBER ~~~~~~~~~~~~~~~~~~
count=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (c1(i,j)) > 0.0002;
         count=1;    
        end
    if count == 1
        break
    end
    end
    if count == 1
        break
    end
end
j=j+12*(sn-1); %..............................!!! BASED ON STOREY LEVEL !!!!

if count==0; i=0; j=0; end;
Fcol(sn)=j; % First Yield, Col No
Fcolstep(sn)=i; % First Yield, Step No

%~~~~~~~~~~~~~~~~~~~~~~MAXIMUM PLASTIC DEFORMATION~~~~~~~~~~~~~~~~~~~~~~~~~
maxpl=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (c1(i,j)) > maxpl;
         maxpl=abs(c1(i,j));    
         colno=j; %BASED ON STOREY LEVEL 
         stepno=i;
        end
    end
end
colno=colno+12*(sn-1); %......................!!! BASED ON STOREY LEVEL !!!!

if maxpl==0; colno=0; stepno=0; end;
plmax(sn,1)=maxpl;
Mcol(sn)=colno; % Max Yield, Col No
Mcolstep(sn)=stepno; % Max Yield, Step No
%--------------------------------------------------------------------------
% 2 Story Beams
%--------------------------------------------------------------------------
pl_def_all_beams = strcat('output/M_',ch1,'/pl_def_all_beams_',num2str(sn),'.out');
b1=load (pl_def_all_beams);
b1=[b1(:,2) b1(:,3) b1(:,5) b1(:,6) b1(:,8) b1(:,9) b1(:,11) b1(:,12) b1(:,14) b1(:,15) b1(:,17) b1(:,18)  ];

b1=abs(b1); [a b]=size(b1);

%~~~~~~~~~~~~~~~~ FIRST YIELDING ELEMENT AND STEP NUMBER ~~~~~~~~~~~~~~~~~~
count=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (b1(i,j)) > 0.0002;
         count=1;    
        end
    if count == 1;
        break
    end
    end
    if count == 1;        
        break
    end
end
j=j+12*(sn-1); %..............................!!! BASED ON STOREY LEVEL !!!!
if count==0; i=0; j=0; end;
Fbeam(sn)=j; % First Yield, Col No
Fbeamstep(sn)=i; % First Yield, Step No

%~~~~~~~~~~~~~~~~~~~~~~MAXIMUM PLASTIC DEFORMATION~~~~~~~~~~~~~~~~~~~~~~~~~
maxpl=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (b1(i,j)) > maxpl;
         maxpl=abs(b1(i,j));    
         beamno=j; %BASED ON STOREY LEVEL 
         stepno=i;
        end
    end
end
beamno=beamno+12*(sn-1); %...................!!! BASED ON STOREY LEVEL !!!!
if maxpl<0.0002; beamno=0; stepno=0; end;
plmax(sn,2)=maxpl;
Mbeam(sn)=beamno; % Max Yield, Col No
Mbeamstep(sn)=stepno; % Max Yield, Step No
%--------------------------------/o\/o\-------------------------------------
%--------------------------------------------------------------------------
% 3 Story Columns
%--------------------------------------------------------------------------
sn=3;
pl_def_all_cols = strcat('output/M_',ch1,'/pl_def_all_cols_',num2str(sn),'.out');
c1=load (pl_def_all_cols);
c1=[c1(:,2) c1(:,3) c1(:,5) c1(:,6) c1(:,8) c1(:,9) c1(:,11) c1(:,12) c1(:,14) c1(:,15) c1(:,17) c1(:,18) c1(:,20) c1(:,21)];

c1=abs(c1); [a b]=size(c1);

%~~~~~~~~~~~~~~~~ FIRST YIELDING ELEMENT AND STEP NUMBER ~~~~~~~~~~~~~~~~~~
count=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (c1(i,j)) > 0.0002;
         count=1;    
        end
    if count == 1
        break
    end
    end
    if count == 1
        break
    end
end
j=j+12*(sn-1); %..............................!!! BASED ON STOREY LEVEL !!!!

if count==0; i=0; j=0; end;
Fcol(sn)=j; % First Yield, Col No
Fcolstep(sn)=i; % First Yield, Step No

%~~~~~~~~~~~~~~~~~~~~~~MAXIMUM PLASTIC DEFORMATION~~~~~~~~~~~~~~~~~~~~~~~~~
maxpl=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (c1(i,j)) > maxpl;
         maxpl=abs(c1(i,j));    
         colno=j; %BASED ON STOREY LEVEL 
         stepno=i;
        end
    end
end
colno=colno+12*(sn-1); %......................!!! BASED ON STOREY LEVEL !!!!

if maxpl==0; colno=0; stepno=0; end;
plmax(sn,1)=maxpl;
Mcol(sn)=colno; % Max Yield, Col No
Mcolstep(sn)=stepno; % Max Yield, Step No
%--------------------------------------------------------------------------
% 3 Story Beams
%--------------------------------------------------------------------------
pl_def_all_beams = strcat('output/M_',ch1,'/pl_def_all_beams_',num2str(sn),'.out');
b1=load (pl_def_all_beams);
b1=[b1(:,2) b1(:,3) b1(:,5) b1(:,6) b1(:,8) b1(:,9) b1(:,11) b1(:,12) b1(:,14) b1(:,15) b1(:,17) b1(:,18)   ];

b1=abs(b1); [a b]=size(b1);

%~~~~~~~~~~~~~~~~ FIRST YIELDING ELEMENT AND STEP NUMBER ~~~~~~~~~~~~~~~~~~
count=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (b1(i,j)) > 0.0002;
         count=1;    
        end
    if count == 1;
        break
    end
    end
    if count == 1;
        break
    end
end
j=j+12*(sn-1); %..............................!!! BASED ON STOREY LEVEL !!!!
if count==0; i=0; j=0; end;
Fbeam(sn)=j; % First Yield, Col No
Fbeamstep(sn)=i; % First Yield, Step No

%~~~~~~~~~~~~~~~~~~~~~~MAXIMUM PLASTIC DEFORMATION~~~~~~~~~~~~~~~~~~~~~~~~~
maxpl=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (b1(i,j)) > maxpl;
         maxpl=abs(b1(i,j));    
         beamno=j; %BASED ON STOREY LEVEL 
         stepno=i;
        end
    end
end
beamno=beamno+12*(sn-1); %...................!!! BASED ON STOREY LEVEL !!!!
if maxpl<0.0002; beamno=0; stepno=0; end;
plmax(sn,2)=maxpl;
Mbeam(sn)=beamno; % Max Yield, Col No
Mbeamstep(sn)=stepno; % Max Yield, Step No
%--------------------------------/o\/o\-------------------------------------
%--------------------------------------------------------------------------
% 4 Story Columns
%--------------------------------------------------------------------------
sn=4;
pl_def_all_cols = strcat('output/M_',ch1,'/pl_def_all_cols_',num2str(sn),'.out');
c1=load (pl_def_all_cols);
c1=[c1(:,2) c1(:,3) c1(:,5) c1(:,6) c1(:,8) c1(:,9) c1(:,11) c1(:,12) c1(:,14) c1(:,15) c1(:,17) c1(:,18) c1(:,20) c1(:,21)];

c1=abs(c1); [a b]=size(c1);

%~~~~~~~~~~~~~~~~ FIRST YIELDING ELEMENT AND STEP NUMBER ~~~~~~~~~~~~~~~~~~
count=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (c1(i,j)) > 0.0002;
         count=1;    
        end
    if count == 1
        break
    end
    end
    if count == 1
        break
    end
end
j=j+12*(sn-1); %..............................!!! BASED ON STOREY LEVEL !!!!

if count==0; i=0; j=0; end;
Fcol(sn)=j; % First Yield, Col No
Fcolstep(sn)=i; % First Yield, Step No

%~~~~~~~~~~~~~~~~~~~~~~MAXIMUM PLASTIC DEFORMATION~~~~~~~~~~~~~~~~~~~~~~~~~
maxpl=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (c1(i,j)) > maxpl;
         maxpl=abs(c1(i,j));    
         colno=j; %BASED ON STOREY LEVEL 
         stepno=i;
        end
    end
end
colno=colno+12*(sn-1); %......................!!! BASED ON STOREY LEVEL !!!!

if maxpl==0; colno=0; stepno=0; end;
plmax(sn,1)=maxpl;
Mcol(sn)=colno; % Max Yield, Col No
Mcolstep(sn)=stepno; % Max Yield, Step No
%--------------------------------------------------------------------------
% 4 Story Beams
%--------------------------------------------------------------------------
pl_def_all_beams = strcat('output/M_',ch1,'/pl_def_all_beams_',num2str(sn),'.out');
b1=load (pl_def_all_beams);
b1=[b1(:,2) b1(:,3) b1(:,5) b1(:,6) b1(:,8) b1(:,9) b1(:,11) b1(:,12) b1(:,14) b1(:,15) b1(:,17) b1(:,18)  ];

b1=abs(b1); [a b]=size(b1);

%~~~~~~~~~~~~~~~~ FIRST YIELDING ELEMENT AND STEP NUMBER ~~~~~~~~~~~~~~~~~~
count=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (b1(i,j)) > 0.0002;
         count=1;    
        end
    if count == 1;
        break
    end
    end
    if count == 1;
        break
    end
end
j=j+12*(sn-1); %..............................!!! BASED ON STOREY LEVEL !!!!
if count==0; i=0; j=0; end;
Fbeam(sn)=j; % First Yield, Col No
Fbeamstep(sn)=i; % First Yield, Step No

%~~~~~~~~~~~~~~~~~~~~~~MAXIMUM PLASTIC DEFORMATION~~~~~~~~~~~~~~~~~~~~~~~~~
maxpl=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (b1(i,j)) > maxpl;
         maxpl=abs(b1(i,j));    
         beamno=j; %BASED ON STOREY LEVEL 
         stepno=i;
        end
    end
end
beamno=beamno+12*(sn-1); %...................!!! BASED ON STOREY LEVEL !!!!
if maxpl<0.0002; beamno=0; stepno=0; end;
plmax(sn,2)=maxpl;
Mbeam(sn)=beamno; % Max Yield, Col No
Mbeamstep(sn)=stepno; % Max Yield, Step No
%--------------------------------/o\/o\-------------------------------------
%--------------------------------------------------------------------------
% 5 Story Columns
%--------------------------------------------------------------------------
sn=5;
pl_def_all_cols = strcat('output/M_',ch1,'/pl_def_all_cols_',num2str(sn),'.out');
c1=load (pl_def_all_cols);
c1=[c1(:,2) c1(:,3) c1(:,5) c1(:,6) c1(:,8) c1(:,9) c1(:,11) c1(:,12) c1(:,14) c1(:,15) c1(:,17) c1(:,18) c1(:,20) c1(:,21)];

c1=abs(c1); [a b]=size(c1);

%~~~~~~~~~~~~~~~~ FIRST YIELDING ELEMENT AND STEP NUMBER ~~~~~~~~~~~~~~~~~~
count=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (c1(i,j)) > 0.0002;
         count=1;    
        end
    if count == 1
        break
    end
    end
    if count == 1
        break
    end
end
j=j+12*(sn-1); %..............................!!! BASED ON STOREY LEVEL !!!!

if count==0; i=0; j=0; end;
Fcol(sn)=j; % First Yield, Col No
Fcolstep(sn)=i; % First Yield, Step No

%~~~~~~~~~~~~~~~~~~~~~~MAXIMUM PLASTIC DEFORMATION~~~~~~~~~~~~~~~~~~~~~~~~~
maxpl=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (c1(i,j)) > maxpl;
         maxpl=abs(c1(i,j));    
         colno=j; %BASED ON STOREY LEVEL 
         stepno=i;
        end
    end
end
colno=colno+12*(sn-1); %......................!!! BASED ON STOREY LEVEL !!!!

if maxpl==0; colno=0; stepno=0; end;
plmax(sn,1)=maxpl;
Mcol(sn)=colno; % Max Yield, Col No
Mcolstep(sn)=stepno; % Max Yield, Step No
%--------------------------------------------------------------------------
% 5 Story Beams
%--------------------------------------------------------------------------
pl_def_all_beams = strcat('output/M_',ch1,'/pl_def_all_beams_',num2str(sn),'.out');
b1=load (pl_def_all_beams);
b1=[b1(:,2) b1(:,3) b1(:,5) b1(:,6) b1(:,8) b1(:,9) b1(:,11) b1(:,12) b1(:,14) b1(:,15) b1(:,17) b1(:,18)  ];

b1=abs(b1); [a b]=size(b1);

%~~~~~~~~~~~~~~~~ FIRST YIELDING ELEMENT AND STEP NUMBER ~~~~~~~~~~~~~~~~~~
count=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (b1(i,j)) > 0.0002;
         count=1;    
        end
    if count == 1;
        break
    end
    end
    if count == 1;
        break
    end
end
j=j+12*(sn-1); %..............................!!! BASED ON STOREY LEVEL !!!!
if count==0; i=0; j=0; end;
Fbeam(sn)=j; % First Yield, Col No
Fbeamstep(sn)=i; % First Yield, Step No

%~~~~~~~~~~~~~~~~~~~~~~MAXIMUM PLASTIC DEFORMATION~~~~~~~~~~~~~~~~~~~~~~~~~
maxpl=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (b1(i,j)) > maxpl;
         maxpl=abs(b1(i,j));    
         beamno=j; %BASED ON STOREY LEVEL 
         stepno=i;
        end
    end
end
beamno=beamno+12*(sn-1); %...................!!! BASED ON STOREY LEVEL !!!!
if maxpl<0.0002; beamno=0; stepno=0; end;
plmax(sn,2)=maxpl;
Mbeam(sn)=beamno; % Max Yield, Col No
Mbeamstep(sn)=stepno; % Max Yield, Step No
%--------------------------------/o\/o\-------------------------------------
%--------------------------------------------------------------------------
% 6 Story Columns
%--------------------------------------------------------------------------
sn=6;
pl_def_all_cols = strcat('output/M_',ch1,'/pl_def_all_cols_',num2str(sn),'.out');
c1=load (pl_def_all_cols);
c1=[c1(:,2) c1(:,3) c1(:,5) c1(:,6) c1(:,8) c1(:,9) c1(:,11) c1(:,12) c1(:,14) c1(:,15) c1(:,17) c1(:,18) c1(:,20) c1(:,21)];

c1=abs(c1); [a b]=size(c1);

%~~~~~~~~~~~~~~~~ FIRST YIELDING ELEMENT AND STEP NUMBER ~~~~~~~~~~~~~~~~~~
count=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (c1(i,j)) > 0.0002;
         count=1;    
        end
    if count == 1
        break
    end
    end
    if count == 1
        break
    end
end
j=j+12*(sn-1); %..............................!!! BASED ON STOREY LEVEL !!!!

if count==0; i=0; j=0; end;
Fcol(sn)=j; % First Yield, Col No
Fcolstep(sn)=i; % First Yield, Step No

%~~~~~~~~~~~~~~~~~~~~~~MAXIMUM PLASTIC DEFORMATION~~~~~~~~~~~~~~~~~~~~~~~~~
maxpl=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (c1(i,j)) > maxpl;
         maxpl=abs(c1(i,j));    
         colno=j; %BASED ON STOREY LEVEL 
         stepno=i;
        end
    end
end
colno=colno+12*(sn-1); %......................!!! BASED ON STOREY LEVEL !!!!

if maxpl==0; colno=0; stepno=0; end;
plmax(sn,1)=maxpl;
Mcol(sn)=colno; % Max Yield, Col No
Mcolstep(sn)=stepno; % Max Yield, Step No
%--------------------------------------------------------------------------
% 6 Story Beams
%--------------------------------------------------------------------------
pl_def_all_beams = strcat('output/M_',ch1,'/pl_def_all_beams_',num2str(sn),'.out');
b1=load (pl_def_all_beams);
b1=[b1(:,2) b1(:,3) b1(:,5) b1(:,6) b1(:,8) b1(:,9) b1(:,11) b1(:,12) b1(:,14) b1(:,15) b1(:,17) b1(:,18)  ];

b1=abs(b1); [a b]=size(b1);

%~~~~~~~~~~~~~~~~ FIRST YIELDING ELEMENT AND STEP NUMBER ~~~~~~~~~~~~~~~~~~
count=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (b1(i,j)) > 0.0002;
         count=1;    
        end
    if count == 1;
        break
    end
    end
    if count == 1;
        break
    end
end
j=j+12*(sn-1); %..............................!!! BASED ON STOREY LEVEL !!!!
if count==0; i=0; j=0; end;
Fbeam(sn)=j; % First Yield, Col No
Fbeamstep(sn)=i; % First Yield, Step No

%~~~~~~~~~~~~~~~~~~~~~~MAXIMUM PLASTIC DEFORMATION~~~~~~~~~~~~~~~~~~~~~~~~~
maxpl=0;
for i=1:a; % Row
    for j=1:b; % Column
        if (b1(i,j)) > maxpl;
         maxpl=abs(b1(i,j));    
         beamno=j; %BASED ON STOREY LEVEL 
         stepno=i;
        end
    end
end
beamno=beamno+12*(sn-1); %...................!!! BASED ON STOREY LEVEL !!!!
if maxpl<0.0002; beamno=0; stepno=0; end;
plmax(sn,2)=maxpl;
Mbeam(sn)=beamno; % Max Yield, Col No
Mbeamstep(sn)=stepno; % Max Yield, Step No
%--------------------------------/o\/o\-------------------------------------

%--------------------------------------------------------------------------
%                    STORY DUCTILITY COMPUTATION CORRECTED
%--------------------------------------------------------------------------
for i=1:sn;
% Yield Step Number Finder
    if Fbeamstep(i)>0 && Fcolstep(i)>0;
        step(i)=min(Fbeamstep(i),Fcolstep(i));
    elseif Fcolstep(i)>0 && Fbeamstep(i)==0;
        step(i)=Fcolstep(i);
    elseif Fbeamstep(i)>0 && Fcolstep(i)==0;
        step(i)=Fbeamstep(i);
    else step(i)=0;    
    end

if step(i)>0;
    sduc(i)=1/(abs(intdrift(i,step(i)))/dmax(i+1));
else
    sduc(i)=0;
end
end
%--------------------------------------------------------------------------
%                             PLASTIC ROTATION
%--------------------------------------------------------------------------
mplrot=max(plmax,[],2);
beam_plastic_rot=plmax(:,2);
col_plastic_rot=plmax(:,1);
maxplrotc(1)=0; maxplrotc(2:sn+1)=plmax(1:sn,1); 
maxplrotb(1)=0; maxplrotb(2:sn+1)=plmax(1:sn,2); 
duct(1)=0; duct(2:sn+1)=sduc(1:sn); 
%--------------------------------------------------------------------------
%                         ROOF DRIFT COMPUTATION
%--------------------------------------------------------------------------
Floor_1_Displ = strcat('output/M_',ch1,'/Floor_1_Displ.out');
Floor_2_Displ = strcat('output/M_',ch1,'/Floor_2_Displ.out');
Floor_3_Displ = strcat('output/M_',ch1,'/Floor_3_Displ.out');
Floor_4_Displ = strcat('output/M_',ch1,'/Floor_4_Displ.out');
Floor_5_Displ = strcat('output/M_',ch1,'/Floor_5_Displ.out');
Floor_6_Displ = strcat('output/M_',ch1,'/Floor_6_Displ.out');

dd1=load (Floor_1_Displ);
dd2=load (Floor_2_Displ);
dd3=load (Floor_3_Displ);
dd4=load (Floor_4_Displ);
dd5=load (Floor_5_Displ);
dd6=load (Floor_6_Displ);

dd1max=max(abs(dd1));
dd2max=max(abs(dd2));
dd3max=max(abs(dd3));
dd4max=max(abs(dd4));
dd5max=max(abs(dd5));
dd6max=max(abs(dd6));

ddmax=[0 dd1max dd2max dd3max dd4max dd5max dd6max]'/h;
%--------------------------------------------------------------------------
%                            FINISHED, URAAA !!! :)
%--------------------------------------------------------------------------
output(:, nsucc)=[dmax_new' 0 ddmax' 0 maxplrotc 0 maxplrotb duct]';
IDR(:,nsucc)=dmax_new;
RDR(:,nsucc)=ddmax;
Col_Rot(:,nsucc)=maxplrotc';
Beam_Rot(:,nsucc)=maxplrotb';
Ductility(:,nsucc)=duct';
end
end

%--------------------------------------------------------------------------
%                       Mean and Dispersion of RESULTS 
%--------------------------------------------------------------------------
mIDR=mean(IDR,2); sIDR=std(IDR,0,2);
mRDR=mean(RDR,2); sRDR=std(RDR,0,2);
mCol_Rot=mean(Col_Rot,2); sCol_Rot=std(Col_Rot,0,2);
mBeam_Rot=mean(Beam_Rot,2); sBeam_Rot=std(Beam_Rot,0,2);
mDuctility=mean(Ductility,2); sDuctility=std(Ductility,0,2);
%--------------------------------------------------------------------------
%                       Median and Dispersion of RESULTS 
%--------------------------------------------------------------------------
medIDR = geomean(IDR'); medIDR = medIDR';
medRDR = geomean(RDR'); medRDR = medRDR';
medCol_Rot = geomean(Col_Rot'); medCol_Rot = medCol_Rot';
medBeam_Rot = geomean(Beam_Rot'); medBeam_Rot = medBeam_Rot';
medDuctility = geomean(Ductility'); medDuctility = medDuctility';




%--------------------------------------------------------------------------
%                        PLOTTING DRIFT AND DUCTILITY
%--------------------------------------------------------------------------
sl=[0 1 2 3 4 5 6 ]';
s2=[0 1 1 2 2 3 3 4 4 5 5 6 ]';
figure(1);
subplot(1,2,1); plot(mIDR,s2,'-s'); hold; plot(mIDR+sIDR,s2,'--'); plot(mIDR-sIDR,s2,'--');
ylabel('Story Level'); xlabel('Inter Story Drift')

subplot(1,2,2); plot(mRDR,sl,'r-s'); hold; plot(mRDR+sRDR,sl,'--'); plot(mRDR-sRDR,sl,'--'); 
xlabel('Roof Drift Ratio');

figure(2);
subplot(1,3,1); plot(mDuctility,sl,'g-s'); hold; plot(mDuctility+sDuctility,sl,'--'); plot(mDuctility-sDuctility,sl,'--');
xlabel('Story Ductility');

subplot(1,3,2); plot(mCol_Rot,sl,'k-s'); hold; plot(mCol_Rot+sCol_Rot,sl,'--'); plot(mCol_Rot-sCol_Rot,sl,'--'); 
xlabel('Beam Plastic Rotation');

subplot(1,3,3); plot(mBeam_Rot,sl,'c-s'); hold; plot(mBeam_Rot+sBeam_Rot,sl,'--');  plot(mBeam_Rot-sBeam_Rot,sl,'--'); 
xlabel('Col. Plastic Rotation');

figure(3);
subplot(1,2,1); plot(medIDR,s2,'-s'); hold; plot(medIDR+sIDR,s2,'--'); plot(medIDR-sIDR,s2,'--');
ylabel('Story Level'); xlabel('Inter Story Drift')

subplot(1,2,2); plot(medRDR,sl,'r-s'); hold; plot(medRDR+sRDR,sl,'--'); plot(medRDR-sRDR,sl,'--'); 
xlabel('Roof Drift Ratio');

figure(4);
subplot(1,3,1); plot(medDuctility,sl,'g-s'); hold; plot(medDuctility+sDuctility,sl,'--'); plot(medDuctility-sDuctility,sl,'--');
xlabel('Story Ductility');

subplot(1,3,2); plot(medCol_Rot,sl,'k-s'); hold; plot(medCol_Rot+sCol_Rot,sl,'--'); plot(medCol_Rot-sCol_Rot,sl,'--'); 
xlabel('Beam Plastic Rotation');

subplot(1,3,3); plot(medBeam_Rot,sl,'c-s'); hold; plot(medBeam_Rot+sBeam_Rot,sl,'--');  plot(medBeam_Rot-sBeam_Rot,sl,'--'); 
xlabel('Col. Plastic Rotation');

save post_process.mat
