#################################################################################################
#
# CREATE RECORDERS
#
# Writen by:  Erol Kalkan
# Last modified:  May 2004
#
# Objective: 
#
################################################################################################  
#puts "GM in output-process: $GM"

# Set destination directory for output:
file mkdir ../6-Story_Unscaled/output/M_$GM
set filename "../6-Story_Unscaled/output/M_$GM"


#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Nodal Acceleration at each floor
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
recorder Node "$filename/acceleration.out" accel -time -node 11 18 25 32 39 46 -dof 1
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

################################################################################################  

# Displacement dof 1 at each floor
recorder Node -file $filename/Floor_1_Displ.out -node 8 -dof 1 disp
recorder Node -file $filename/Floor_2_Displ.out -node 15 -dof 1 disp
recorder Node -file $filename/Floor_3_Displ.out -node 22 -dof 1 disp
recorder Node -file $filename/Floor_4_Displ.out -node 29 -dof 1 disp
recorder Node -file $filename/Floor_5_Displ.out -node 36 -dof 1 disp
recorder Node -file $filename/Floor_6_Displ.out -node 43 -dof 1 disp

# Drift dof 1 at each floor
recorder Drift $filename/Story_1_Drift.out 1 8 1 2
recorder Drift $filename/Story_2_Drift.out 8 15 1 2
recorder Drift $filename/Story_3_Drift.out 15 22 1 2
recorder Drift $filename/Story_4_Drift.out 22 29 1 2
recorder Drift $filename/Story_5_Drift.out 29 36 1 2
recorder Drift $filename/Story_6_Drift.out 36 43 1 2

################################################################################################  

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Forces in floor column elements
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
recorder Element -file $filename/Fl_1_Cols_Forces.out -ele 11 12 13 14 15 16 17 globalForce 
recorder Element -file $filename/Fl_2_Cols_Forces.out -ele 21 22 23 24 25 26 27 globalForce 
recorder Element -file $filename/Fl_3_Cols_Forces.out -ele 31 32 33 34 35 36 37 globalForce 
recorder Element -file $filename/Fl_4_Cols_Forces.out -ele 41 42 43 44 45 46 47 globalForce 
recorder Element -file $filename/Fl_5_Cols_Forces.out -ele 51 52 53 54 55 56 57 globalForce 
recorder Element -file $filename/Fl_6_Cols_Forces.out -ele 61 62 63 64 65 66 67 globalForce 

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Plastic Deformation at column elements
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
recorder Element -file $filename/pl_def_all_cols_1.out -ele 11 12 13 14 15 16 17 plasticDeformation
recorder Element -file $filename/pl_def_all_cols_2.out -ele 21 22 23 24 25 26 27 plasticDeformation
recorder Element -file $filename/pl_def_all_cols_3.out -ele 31 32 33 34 35 36 37 plasticDeformation
recorder Element -file $filename/pl_def_all_cols_4.out -ele 41 42 43 44 45 46 47 plasticDeformation
recorder Element -file $filename/pl_def_all_cols_5.out -ele 51 52 53 54 55 56 57 plasticDeformation
recorder Element -file $filename/pl_def_all_cols_6.out -ele 61 62 63 64 65 66 67 plasticDeformation
################################################################################################  

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Forces in floor beam elements
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
recorder Element -file $filename/Fl_1_beams_Forces.out -ele 101 102 103 104 105 106 globalForce 
recorder Element -file $filename/Fl_2_beams_Forces.out -ele 201 202 203 204 205 206 globalForce 
recorder Element -file $filename/Fl_3_beams_Forces.out -ele 301 302 303 304 305 306 globalForce 
recorder Element -file $filename/Fl_4_beams_Forces.out -ele 401 402 403 404 405 406 globalForce 
recorder Element -file $filename/Fl_5_beams_Forces.out -ele 501 502 503 504 505 506 globalForce 
recorder Element -file $filename/Fl_6_beams_Forces.out -ele 601 602 603 604 605 606 globalForce 

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Plastic Deformation at Beam elements
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
recorder Element -file $filename/pl_def_all_beams_1.out -ele 101 102 103 104 105 106 plasticDeformation
recorder Element -file $filename/pl_def_all_beams_2.out -ele 201 202 203 204 205 206 plasticDeformation
recorder Element -file $filename/pl_def_all_beams_3.out -ele 301 302 303 304 305 306 plasticDeformation
recorder Element -file $filename/pl_def_all_beams_4.out -ele 401 402 403 404 405 406 plasticDeformation
recorder Element -file $filename/pl_def_all_beams_5.out -ele 501 502 503 504 505 506 plasticDeformation
recorder Element -file $filename/pl_def_all_beams_6.out -ele 601 602 603 604 605 606 plasticDeformation

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Curvature at Beam elements
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
recorder Element -file $filename/Fl_1_beams_def_L.out -ele 101 102 103 104 105 106 section 1 deformation; # LEFT
recorder Element -file $filename/Fl_2_beams_def_L.out -ele 201 202 203 204 205 206 section 1 deformation; # LEFT
recorder Element -file $filename/Fl_3_beams_def_L.out -ele 301 302 303 304 305 306 section 1 deformation; # LEFT
recorder Element -file $filename/Fl_4_beams_def_L.out -ele 401 402 403 404 405 406 section 1 deformation; # LEFT
recorder Element -file $filename/Fl_5_beams_def_L.out -ele 501 502 503 504 505 506 section 1 deformation; # LEFT
recorder Element -file $filename/Fl_6_beams_def_L.out -ele 601 602 603 604 605 606 section 1 deformation; # LEFT

################################################################################################  
