#################################################################################################
#
# Cross Section Generator
#
# Writen by:  Erol Kalkan
# Last modified:  Sept 2003
#
# Objective: 
#
# Units: kip-in      
#################################################################################################  

#####################################################################
  # proc Wsection { secID matID d tw bf tf nfdw nftw nfbf nftf} 

  # input parameters
  # secID - section ID number
  # matID - material ID number 
  # d  = nominal depth
  # tw = web thickness
  # bf = flange width
  # tf = flange thickness
  # nfdw = number of fibers along web depth 
  # nftw = number of fibers along web thickness
  # nfbf = number of fibers along flange width
  # nftf = number of fibers along flange thickness

	#====================================================================================#									
	#	      matID	  t3     tw	  t2	  tf	nfdw	nftw	nfbf	nftf #
	#====================================================================================#									

	source wsectiona.tcl									

#	Section W30x116									
	wsectiona 1	1	30	0.565	10.5	0.85	20	4	4	10

#	Section W27x102									
	wsectiona 2	1	27.09	0.515	10.015  0.83	20	4	4	10

#	Section W24X84									
	wsectiona 3	1	24.1	0.47	9.02	0.77	20	4	4	10

#	Section W24x68									
	wsectiona 4	1	23.7	0.415	8.97	0.585	20	4	4	10

#	Section W14x176									
	wsectiona 5	1	15.22	0.83	15.65	1.31	20	4	4	10

#	Section W14X132									
	wsectiona 6	1	14.70 0.645	14.70	1.03	20	4	4	10

#	Section W14x90									
	wsectiona 7	1	14	0.44	14.5	0.71	20	4	4	10

#####################################################################
puts "Finished creating cross sections..."






